Subject: bug#65311: closed (Re: bug#65311: Themes in Emacs 29)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 03 Sep 2023 10:27:02 +0000

Your bug report

#65311: Themes in Emacs 29

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
65311: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=65311
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#65311: Themes in Emacs 29
From: Stefan Kangas <[email-masked]>
To: Eli Zaretskii <[email-masked]>
Cc: Ivan Grishaev <[email-masked]>, [email-masked]
Date: Sun, 3 Sep 2023 03:26:00 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Eli Zaretskii <[email-masked]> writes:

>> - is there is a modern version of this theme which is not deprecated?
>
> I'll let others answer this.

Please see the many themes available in GNU ELPA and NonGNU ELPA.

>> - does it mean the Light Blue theme will be gone in the next release?
>
> Maybe at some point, but not in the next release, I think.

I don't expect that there will be any rush to remove it, no.  Hopefully
someone will step up to fix the issues discussed in bug#47047, and then
we can unobsolete it.  That would be the best outcome.

I don't think we will be making any changes here, so I'm closing this
bug.

Subject: Themes in Emacs 29
From: Ivan Grishaev <[email-masked]>
To: [email-masked]
Date: Tue, 15 Aug 2023 15:43:06 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello Emacs Team!

I'm not sure if I've chosen the right channel to ask about my problem; I hope you would gently propose the correct address in case of my mistake.

I've updated Emacs to version 29 and now see a warning message triggered by the following expression in my config:

(load-theme 'light-blue t)

I have several questions on that:

- why would deprecate a theme that has worked for years (decades maybe)? 
- is there is a modern version of this theme which is not deprecated?
- does it mean the Light Blue theme will be gone in the next release?
- if not, how can I turn off that warning? I don't want to see it every time my Emacs starts.

I don't want my text to sound aggressive; I just feel upset by the fact the things that have been working great are breaking now. Is it possible to keep the Light Blue theme along and not remove it?

Thank you,
Ivan